Bug 123432 - PHP Editor
PHP Editor
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: TBD
Assigned To: Andrew Korostelev
issues@php
http://wiki.netbeans.org/wiki/view/Fe...
: PLAN, UMBRELLA
Depends on: 123434 123435 123436 123437 123445 123446 123452 123458 123491 123769 123810 126072 126101
Blocks: 125928
  Show dependency treegraph
 
Reported: 2007-12-05 10:57 UTC by Andrew Korostelev
Modified: 2008-11-14 13:08 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Korostelev 2007-12-05 10:57:35 UTC
PHP editor should provide basic features like:
- PHP blocks recognition
- Syntax highlighting
- PHP and html( xml, etc ) code combination 

And more extended features (can be filed as separate tasks):
	Semantic highlighting
	Code Completion
	Bracket Completion
	Formatting
	Folding
	Error Detection
	Navigation
Comment 1 Petr Pisl 2008-10-14 13:20:22 UTC
closing
Comment 2 Mikhail Matveev 2008-11-14 13:08:57 UTC
Marking as verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo